#include "stdafx.h"
#include "TechTypeObject.h"
#include "CurrentWorld.h"

TechTypeObject::TechTypeObject(BWAPI::TechType techType)
  : TechObject(techType.getName(), CurrentWorld::TechTypePrimitiveType)
  , m_techType(techType)
{
  CurrentWorld::addTechTypeTech(this);

  m_isAcquired = BWAPI::Broodwar->self()->hasResearched(m_techType);
}
